QGIS Application - Bug report #1201
detect invalid split if splitting line ends in polygon
2008-08-04 04:57 AM - Marco Hugentobler

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Digitising

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11261
Description

If a splitting line starts outside a polygon and ends inside it, the user should receive an error message. Instead, a vertex is added where
the split line crosses the polygon border.

History

#1 - 2008-08-06 05:20 AM - Jiirgen Fischer

Are those dangling lines? the geos polygonizer also has a method without C-API for that. If it is, we should propose a function for it, too.

#2 - 2008-10-17 06:33 AM - Marco Hugentobler
- Resolution set to fixed
- Status changed from Open to Closed

Yes, those are dangling lines and it would be good to have a C-API function for it.
In the meantime, commit:73c0a754 (SVN r9491) contains a fix for most cases without using the dangling line function of polygonizer. I'm therefore closing
this ticket.

#3 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
